Bug 111974

Summary: directory permission error in graphics/peps
Product: Ports & Packages Reporter: TsurutaniNaoki
Component: Individual Port(s)Assignee: Stefan Walter <stefan>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description TsurutaniNaoki 2007-04-21 05:00:10 UTC
	permission of directory created by the installation of graphics/peps is
	wrong; users other than root cannot list the directory.

Fix: 

here is a patch:
	% cat /usr/ports/graphics/peps/files/patch-Makefile
	--- Makefile.orig       Wed Jan 26 11:13:14 2005
	+++ Makefile    Sat Apr 21 12:42:41 2007
	@@ -85,7 +85,7 @@
	 	install -p -m 755 peps${BINEXT} ${BINDIR}
	 	install -p -m 444 peps.1 ${MAN1DIR}
	 	install -p -m 644 peps.mime ${ETC}
	-	mkdir -m 644 -p ${DOCS}
	+	mkdir -m 755 -p ${DOCS}
	 	install -p -m 444 peps.pdf ${DOCS}
	 	touch -r peps.c ${DOCS}
How-To-Repeat: 	install graphics/peps from ports or install peps-2.0 via packages.
	% ls ${PREFIX}/share/doc/peps-2.0
	ls: .: Permission denied
	ls: ..: Permission denied
	ls: peps.pdf: Permission denied
	total 0
Comment 1 Shaun Amott freebsd_committer 2007-04-28 01:35:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Grab.
Comment 2 Shaun Amott freebsd_committer 2007-09-28 02:00:45 UTC
Responsible Changed
From-To: shaun->freebsd-ports-bugs

Return to pool, rather than do nothing with it.
Comment 3 Stefan Walter freebsd_committer 2007-09-29 08:38:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Grab.
Comment 4 dfilter service freebsd_committer 2007-09-29 08:44:02 UTC
stefan      2007-09-29 07:43:55 UTC

  FreeBSD ports repository

  Modified files:
    graphics/peps        Makefile 
  Added files:
    graphics/peps/files  patch-Makefile 
  Log:
  Fix permissions of documentation directory.
  
  PR:             111974
  Submitted by:   Tsurutani Naoki <turutani@scphys.kyoto-u.ac.jp>
  
  Revision  Changes    Path
  1.15      +1 -1      ports/graphics/peps/Makefile
  1.1       +11 -0     ports/graphics/peps/files/patch-Makefile (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Stefan Walter freebsd_committer 2007-09-29 08:47:47 UTC
State Changed
From-To: open->closed

Committed, thanks!